/*
 * main.c
 *
 *  Created on: 14. 8. 2015
 *      Author: petus
 *      Website: http://chiptron.petus.cz
 */

#include "main.h"

int main(void)
{
	//----LED----//
	RCC->AHB1ENR |= RCC_AHB1ENR_GPIOIEN;		//Enable clock for PORT I
	RCC->AHB1RSTR |= RCC_AHB1RSTR_GPIOIRST;		//Reset PORT I
	RCC->AHB1RSTR &= ~RCC_AHB1RSTR_GPIOIRST;
	GPIOI->MODER |= GPIO_MODER_MODER1_0;		//Set mode register PIN 1, PORT I
	GPIOI->OSPEEDR |= GPIO_OSPEEDER_OSPEEDR1;	//Set speed register PIN 1, PORT I
	GPIOI->ODR |= GPIO_ODR_ODR_1;				//Set output data register PIN 1, input PIN 11, PORT I

	//----GPIO----//
	GPIOI->OSPEEDR |= GPIO_OSPEEDER_OSPEEDR11;	//Set speed register PIN 11, PORT I


	while(1)
	{
		if(!(GPIOI->IDR & GPIO_IDR_IDR_11))    // check PIN 11, PORT I, if PIN 11 is High - button isn't press
			GPIOI->ODR |= GPIO_ODR_ODR_1;    // turn on LED on PIN 1, PORT 1
		else    // button is press
			GPIOI->ODR &= ~GPIO_ODR_ODR_1;   // turn off LED on PIN 1, PORT 1 

	}
}
